/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatSelectModule } from '@angular/material/select';
import { MatSliderModule } from '@angular/material/slider';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { BciSharedModule } from '@bci-web-core/core';
import { GenericMapsModule } from '@bci-web-core/maps';
import { OpenStreetMapsComponent } from './open-street-maps.component';

describe('OpenStreetMapsComponent', () => {
  let component: OpenStreetMapsComponent;
  let fixture: ComponentFixture<OpenStreetMapsComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          CommonModule,
          NoopAnimationsModule,
          GenericMapsModule,
          BciSharedModule,
          /* Angular Material */
          MatSliderModule,
          MatSelectModule,
        ],
        declarations: [OpenStreetMapsComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(OpenStreetMapsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
